<div class="alert alert-danger alert-modal hidden"></div>
<div class="ui divider hidden"></div>
<div class="ui grid stackable">
    <div class="sixteen wide column">
        <form method="get" action="#{url route.dashboard_inovasipengadaancontroller_jeniskontrak /}" class="search-bar"
              id="searchForm">
            <div class="ui right aligned grid">
                <div class="ui right floated column four wide">
                    <div class="ui dropdown selection filters">
                        <input type="hidden" name="filter" value="${filter}">
                        <i class="dropdown icon"></i>
                        <div class="default text">${filter ? filter?.toString().replaceAll("_", " ") : 'Pilih Filter'}</div>
                        <div class="menu">
                        #{list items:filters, as:'f'}
                            <div class="item" data-value="${f}">${f.toString().replaceAll("_", " ")}</div>
                        #{/list}
                        </div>
                    </div>
                </div>
                <div class="four wide center aligned column">
                    <div class="ui dropdown selection filters">
                        <input id="year" type="hidden" name="year" value="${searchQuery.getYear()}">
                        <i class="dropdown icon"></i>
                        <div class="default text color-black">${searchQuery.getYearAsString()}</div>
                        <div class="menu">
                            <div class="item" data-name="year">Semua Tahun</div>
                        #{list items:years, as:'year'}
                            <div class="item" data-name="year" data-value="${year.toString()}">${year}</div>
                        #{/list}
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div class="ui divider hidden"></div>
        <table class="ui striped celled structured table padded comp-table-th ">
            <thead>
            <tr>
                <th>Nama Instansi</th>
                <th>Nama Satuan Kerja</th>
                <th>Jenis Kontrak</th>
                <th class="center aligned">Jumlah Paket</th>
                <th class="center aligned">Tahun Anggaran</th>
            </tr>
            </thead>
            <tbody class="left aligned">
            <tr>
            #{list items: result?.getItems(), as: 'kontrak'}
                <td class="left aligned">${kontrak.nama_kldi}</td>
                <td class="left aligned">${kontrak.nama_satker}</td>
                #{if kontrak?.jenis_kontrak != null}
                    <td class="left aligned">${kontrak.jenis_kontrak.getLabel()}</td>
                #{/if}
                #{else }
                    <td class="left aligned">${kontrak.jenis_kontrak}</td>
                #{/else}
                <td class="center aligned">${kontrak.hasil_paket}</td>
                <td class="center aligned">${kontrak.tahun_anggaran}</td>
            </tr>
            #{/list}
            </tbody>
        </table>
    </div>
</div>
#{pagination result /}
<style>.default.text {
    color: #000 !important;
}</style>
#{set 'anotherScript'}
    #{get 'kecilScript'/}
    #{get 'nonkecilScript'/}
    #{get 'combinedScript'/}
<script>
    $('.filters')
            .dropdown({
                action: 'hide',
                onChange: function (value, text, $selectedItem) {
                    $("#searchForm").submit();
                }
            });
</script>
#{/set}
